;-------------------------------------------------------------------------
;Setup and Enable the PWM
;-------------------------------------------------------------------------
InitPWM
		movf	PWM_PERIOD,w
		bsf	STATUS,RP0
		movwf	PR2			; Set the PWM period

		bcf	STATUS,RP0
		movf	PWM_DUTY,w
		movwf	CCPR1L			; Set the duty cycle

		movlw	b'00000100'		; TMR2 prescale is 1
		movwf	T2CON 			; Enable TMR2

		movlw	b'00001100'
		movwf	CCP1CON			; Enable PWM
		bsf	INTCON,GIE		; ʹȫжʹλ
		bsf	INTCON,PEIE		; ʹжʹλ

		return

;-------------------------------------------------------------------------
;Change the PWM duty value
;-------------------------------------------------------------------------
SetPWM
		bcf	STATUS,RP0
		movwf	CCPR1L

		return

SetTimer
		movwf	TMR1H
		clrf	TMR1L

		movlw	b'00111101'
		movwf	T1CON
		bsf	STATUS,RP0
		bsf	PIE1,TMR1IE
		bcf	STATUS,RP0
		return